# GNAT 3.11p RPM Packaging
# Copyright (c) 1999 Juergen Pfeifer
#                                                                          
# Permission is hereby granted, free of charge, to any person obtaining a  
# copy of this software and associated documentation files (the            
# "Software"), to deal in the Software without restriction, including      
# without limitation the rights to use, copy, modify, merge, publish,      
# distribute, distribute with modifications, sublicense, and/or sell       
# copies of the Software, and to permit persons to whom the Software is    
# furnished to do so, subject to the following conditions:                 
#                                                                          
# The above copyright notice and this permission notice shall be included  
# in all copies or substantial portions of the Software.                   
#                                                                          
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   
# IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    
# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    
# THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               
#                                                                          
# Except as contained in this notice, the name(s) of the above copyright   
# holders shall not be used in advertising or otherwise to promote the     
# sale, use or other dealings in this Software without prior written       
# authorization.          
#
# ---------------------------------------------------------------------------
#  Author: Juergen Pfeifer <juergen.pfeifer@gmx.net> 1999
#  $Id: gnat-rts.sh.in,v 1.5 1999/06/16 13:53:01 jpf Exp $
# ---------------------------------------------------------------------------
#
# ATTENTION: This script is referenced via a symbolic link from
#            /etc/profile.d. 
#            
#            The installation has created this symlink and will remove
#            it when you deinstall the package.
#
#            The original directory of this file is
#            @INSTALL_PREFIX@/lib/gnat/etc
#
ada_prefix="@INSTALL_PREFIX@"
unset GNAT_ROOT

if [ "${ada_prefix}" != "/usr" ]; then
   GNAT_ROOT="${ada_prefix}";
   test -z `echo ${PATH} | awk -F: '{for(i=1;i<=NF;i++) print $i;}' |\
	grep "^${GNAT_ROOT}/bin\$"`
   if [ $? -eq 0 ]; then
     PATH="${GNAT_ROOT}/bin""${PATH:+:$PATH:}"
     export PATH
   fi
   export GNAT_ROOT

   use_ld=1
   if [ -f /etc/ld.so.conf ]; then
     grep -s "${GNAT_ROOT}/lib" /etc/ld.so.conf >/dev/null 2>&1
     use_ld=$?
   fi
   if [ ${use_ld} -ne 0 ]; then 
     LD_LIBRARY_PATH="${GNAT_ROOT}/lib""${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
     export LD_LIBRARY_PATH
   fi
   unset use_ld
fi

unset ada_prefix
