#!/bin/bash
#
# Sample SMiaB plugin
# by Ken O. Burtch, February 4, 1999
#
# Parameters
#
ME=`basename $0`
OPTION="$1"
#
# Constants
#
TITLE="Sample SMiaB plugin"
VERSION="1.0"
AUTHOR="Ken O. Burtch"
COMPANY="PegaSoft Canada"
CREATED="February 4, 1999"
SMIAB_VERSION="0.9b"
#
# Plugin Begins
#
if [ "$OPTION" = "-v" ] ; then
   # short version
   echo "$ME - $TITLE $VERSION"
   exit 0
elif [ "$OPTION" = "-V" ] ; then
   # long version
   echo "$ME"
   echo "  $TITLE $VERSION"
   echo "  $AUTHOR"
   echo "  $COMPANY"
   echo "  $CREATED"
   echo "  Miniumum SMiaB version: $SMIAB_VERSION"
   echo
   echo "Checks for the presence of the Linux kernel file /vmlinuz"
   exit 0
elif [ "$OPTION" = "-p" ] ; then
   # protocol option
   echo "$SMIAB_VERSION"
   exit 0
elif [ ! -z "$OPTION" ] ; then
   echo "$ME: Unrecongized option $OPTION"
   exit 1
else
   # this script tests to see if kernel file is there
   if test -f /vmlinuz ; then
      exit 0
   else
      echo "$ME: Kernel file /vmlinuz is missing"
      exit 1
   fi
fi
# End of script

